package com.sundot.airport.exam.logic.manage.model.result;

import cn.hutool.core.date.DatePattern;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sundot.airport.exam.logic.manage.model.result.sub.ExamCertRatingResult;

import java.util.Date;
import java.util.List;

/**
 * <b>功能名：</b>ExamPageResult<br>
 * <b>说明：</b> 考试管理表分页列表返回参数 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-23 liangxiao
 */
public class ExamPageResult {

    /**
     * 业务主键
     */
    private String exId;

    /**
     * 考试名称
     */
    private String exName;

    /**
     * 背景图片资源
     */
    private String exBgImg;

    /**
     * 详情介绍图片资源
     */
    private String exDetailImg;

    /**
     * 考试时间，0表示不限制（单位：秒）
     */
    private Integer exExamTime;

    /**
     * 考试次数，0表示不限制
     */
    private Integer exExamCount;

    /**
     * 考试人数
     */
    private Integer exPeople;

    /**
     * 考试后是否可见答案
     */
    private Boolean exEnableAns;

    /**
     * 是否启用证书（0否1是）
     */
    private Boolean exEnableCert;

    /**
     * 证书发放门槛分数
     */
    private Integer exCertTh;

    /**
     * 证书名称
     */
    private String exCertName;

    /**
     * 当前证书背景图id
     */
    private String piId;

    /**
     * 当前证书背景资源信息
     */
    private String exCertBgImg;

    /**
     * 证书的二维码图片
     */
    private String exCertQrCode;

    /**
     * 证书的分享语
     */
    private String exCertShareRemark;

    /**
     * 试卷表业务主键
     */
    private String tpId;

    /**
     * 证书点评列表
     */
    private List<ExamCertRatingResult> certRatingList;

    /**
     * 逻辑删除（0否1是）
     */
    private Boolean delStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date createTime;

    /**
     * 创建人
     */
    private String createUid;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = DatePattern.NORM_DATETIME_PATTERN, timezone = "GMT+8")
    private Date updateTime;

    /**
     * 更新人
     */
    private String updateUid;

    /**
     * 试卷名称
     */
    private String tpName;

    /**
     * 试卷题目数
     */
    private Integer tpQuesNum;

    /**
     * 试卷总分
     */
    private Integer tpTotalScore;

    /**
     * 试卷分类表业务主键
     */
    private String tpcId;

    @Override
    public String toString() {
        return "ExamPageResult{" +
                "exId='" + exId + '\'' +
                ", exName='" + exName + '\'' +
                ", exBgImg='" + exBgImg + '\'' +
                ", exDetailImg='" + exDetailImg + '\'' +
                ", exExamTime=" + exExamTime +
                ", exExamCount=" + exExamCount +
                ", exPeople=" + exPeople +
                ", exEnableAns=" + exEnableAns +
                ", exEnableCert=" + exEnableCert +
                ", exCertTh=" + exCertTh +
                ", exCertName='" + exCertName + '\'' +
                ", piId='" + piId + '\'' +
                ", exCertBgImg='" + exCertBgImg + '\'' +
                ", exCertQrCode='" + exCertQrCode + '\'' +
                ", exCertShareRemark='" + exCertShareRemark + '\'' +
                ", tpId='" + tpId + '\'' +
                ", certRatingList=" + certRatingList +
                ", delStatus=" + delStatus +
                ", createTime=" + createTime +
                ", createUid='" + createUid + '\'' +
                ", updateTime=" + updateTime +
                ", updateUid='" + updateUid + '\'' +
                ", tpName='" + tpName + '\'' +
                ", tpQuesNum='" + tpQuesNum + '\'' +
                ", tpTotalScore='" + tpTotalScore + '\'' +
                ", tpcId='" + tpcId + '\'' +
                '}';
    }

    public String getExId() {
        return exId;
    }

    public void setExId(String exId) {
        this.exId = exId;
    }

    public String getExName() {
        return exName;
    }

    public void setExName(String exName) {
        this.exName = exName;
    }

    public String getExBgImg() {
        return exBgImg;
    }

    public void setExBgImg(String exBgImg) {
        this.exBgImg = exBgImg;
    }

    public String getExDetailImg() {
        return exDetailImg;
    }

    public void setExDetailImg(String exDetailImg) {
        this.exDetailImg = exDetailImg;
    }

    public Integer getExExamTime() {
        return exExamTime;
    }

    public void setExExamTime(Integer exExamTime) {
        this.exExamTime = exExamTime;
    }

    public Integer getExExamCount() {
        return exExamCount;
    }

    public void setExExamCount(Integer exExamCount) {
        this.exExamCount = exExamCount;
    }

    public Integer getExPeople() {
        return exPeople;
    }

    public void setExPeople(Integer exPeople) {
        this.exPeople = exPeople;
    }

    public Boolean getExEnableAns() {
        return exEnableAns;
    }

    public void setExEnableAns(Boolean exEnableAns) {
        this.exEnableAns = exEnableAns;
    }

    public Boolean getExEnableCert() {
        return exEnableCert;
    }

    public void setExEnableCert(Boolean exEnableCert) {
        this.exEnableCert = exEnableCert;
    }

    public Integer getExCertTh() {
        return exCertTh;
    }

    public void setExCertTh(Integer exCertTh) {
        this.exCertTh = exCertTh;
    }

    public String getExCertName() {
        return exCertName;
    }

    public void setExCertName(String exCertName) {
        this.exCertName = exCertName;
    }

    public String getPiId() {
        return piId;
    }

    public void setPiId(String piId) {
        this.piId = piId;
    }

    public String getExCertBgImg() {
        return exCertBgImg;
    }

    public void setExCertBgImg(String exCertBgImg) {
        this.exCertBgImg = exCertBgImg;
    }

    public String getExCertQrCode() {
        return exCertQrCode;
    }

    public void setExCertQrCode(String exCertQrCode) {
        this.exCertQrCode = exCertQrCode;
    }

    public String getExCertShareRemark() {
        return exCertShareRemark;
    }

    public void setExCertShareRemark(String exCertShareRemark) {
        this.exCertShareRemark = exCertShareRemark;
    }

    public String getTpId() {
        return tpId;
    }

    public void setTpId(String tpId) {
        this.tpId = tpId;
    }

    public List<ExamCertRatingResult> getCertRatingList() {
        return certRatingList;
    }

    public void setCertRatingList(List<ExamCertRatingResult> certRatingList) {
        this.certRatingList = certRatingList;
    }

    public Boolean getDelStatus() {
        return delStatus;
    }

    public void setDelStatus(Boolean delStatus) {
        this.delStatus = delStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUid() {
        return createUid;
    }

    public void setCreateUid(String createUid) {
        this.createUid = createUid;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUid() {
        return updateUid;
    }

    public void setUpdateUid(String updateUid) {
        this.updateUid = updateUid;
    }

    public String getTpName() {
        return tpName;
    }

    public void setTpName(String tpName) {
        this.tpName = tpName;
    }

    public Integer getTpQuesNum() {
        return tpQuesNum;
    }

    public void setTpQuesNum(Integer tpQuesNum) {
        this.tpQuesNum = tpQuesNum;
    }

    public Integer getTpTotalScore() {
        return tpTotalScore;
    }

    public void setTpTotalScore(Integer tpTotalScore) {
        this.tpTotalScore = tpTotalScore;
    }

    public String getTpcId() {
        return tpcId;
    }

    public void setTpcId(String tpcId) {
        this.tpcId = tpcId;
    }

}
